Kreditoren
Kreditoren abrufen
Version 1.1
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
companyCodeIdinteger · int32Optional
managementIdinteger · int32Optional
creditorIdinteger · int32Optional
creditorNumberstringOptional
personIdinteger · int32Optional
includeMainAddressbooleanOptionalDefault:
falseincludeMainCommunicationbooleanOptionalDefault:
falseincludeMainBankaccountbooleanOptionalDefault:
falseincludePersonAddressesbooleanOptionalDefault:
falseincludePersonCommunicationsbooleanOptionalDefault:
falseincludePersonBankAccountsbooleanOptionalDefault:
falseincludeTaxAuthorityExemptionOrderbooleanOptionalDefault:
falseincludeIndividualSelectedManagementbooleanOptionalDefault:
falseAntworten
200
OK
Idinteger · int32Optional
CreditorNumberstring · nullableOptional
CashDiscountPercent1number · decimal · nullableOptional
CashDiscountPercent2number · decimal · nullableOptional
CashDiscountPercent3number · decimal · nullableOptional
MaturityDefaultinteger · int32 · nullableOptional
MaturityIn1Dayinteger · int32 · nullableOptional
MaturityIn2Dayinteger · int32 · nullableOptional
MaturityIn3Dayinteger · int32 · nullableOptional
IsVariousCreditorbooleanOptional
AllocateOpenItemsAutomaticallybooleanOptional
AvailableForAllManagementsbooleanOptional
LockedbooleanOptional
LockedCommissioningbooleanOptional
ExemptionCertificateUnnecessarybooleanOptional
Descriptionstring · nullableOptional
400
Bad Request
401
Unauthorized
get/openwowi/v1.1/AccountancyMasterData/Creditors
GET /openwowi/v1.1/AccountancyMasterData/Creditors HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"Id": 1,
"CreditorNumber": "text",
"CashDiscountPercent1": 1,
"CashDiscountPercent2": 1,
"CashDiscountPercent3": 1,
"MaturityDefault": 1,
"MaturityIn1Day": 1,
"MaturityIn2Day": 1,
"MaturityIn3Day": 1,
"IsVariousCreditor": true,
"AllocateOpenItemsAutomatically": true,
"AvailableForAllManagements": true,
"Locked": true,
"LockedCommissioning": true,
"ExemptionCertificateUnnecessary": true,
"Description": "text",
"Person": {
"Id": 1,
"IdNum": "text",
"Shortname": "text",
"Name": "text",
"NodeId": 1,
"TaxNumber": "text",
"TaxIdentificationNumber": "text",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"IsNaturalPerson": true,
"NaturalPerson": {
"Title": "text",
"FirstName": "text",
"LastName": "text",
"BirthName": "text",
"CareOf": "text",
"BirthDate": "2026-10-15",
"DeathDate": "2026-01-01T00:00:00.000Z",
"Gender": {
"Id": 1,
"Name": "text"
},
"MaritalType": {
"Id": 1,
"Name": "text"
},
"Nationality": {
"Id": 1,
"Name": "text",
"Code": "text"
},
"PersonInCare": {
"Id": 1,
"IdNum": "text"
},
"ContactFor": [
{
"Id": 1,
"IdNum": "text",
"LongName1": "text",
"LongName2": "text"
}
]
},
"LegalPerson": {
"LongName1": "text",
"LongName2": "text",
"VatId": "text",
"CommercialRegisterNumber": "text",
"CommercialRegisterTown": "text",
"ContractPersons": [
{
"Id": 1,
"IdNum": "text",
"FirstName": "text",
"LastName": "text"
}
]
},
"Addresses": [
{
"Id": 1,
"Zip": "text",
"Town": "text",
"Street": "text",
"HouseNumber": "text",
"HouseNumberAddition": "text",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"StreetComplete": "text",
"HouseNumberComplete": "text",
"MainAddress": true,
"AddressType": {
"Id": 1,
"Name": "text"
},
"Country": {
"Id": 1,
"Name": "text",
"Code": "text"
}
}
],
"Communications": [
{
"Id": 1,
"RelatedAddressId": 1,
"Content": "text",
"Explanation": "text",
"RelatedAddress": "text",
"CommunicationType": {
"Id": 1,
"Name": "text"
},
"IsStandard": true
}
],
"BankAccounts": [
{
"Id": 1,
"Iban": "text",
"Bic": "text",
"AccountHolder": "text",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"BankAccountType": {
"Id": 1,
"Code": "text"
},
"BankAccountId": 1,
"BankAccountUsageType": {
"Id": 1,
"Code": "text"
}
}
],
"FirstEmailCommunication": {
"Id": 1,
"RelatedAddressId": 1,
"Content": "text",
"Explanation": "text",
"RelatedAddress": "text",
"CommunicationType": {
"Id": 1,
"Name": "text"
},
"IsStandard": true
},
"FirstLandlinePhoneCommunication": {
"Id": 1,
"RelatedAddressId": 1,
"Content": "text",
"Explanation": "text",
"RelatedAddress": "text",
"CommunicationType": {
"Id": 1,
"Name": "text"
},
"IsStandard": true
},
"FirstMobilePhoneCommunication": {
"Id": 1,
"RelatedAddressId": 1,
"Content": "text",
"Explanation": "text",
"RelatedAddress": "text",
"CommunicationType": {
"Id": 1,
"Name": "text"
},
"IsStandard": true
}
},
"DefaultSalesTax": {
"Id": 1,
"Code": "text"
},
"DefaultAddress": {
"Id": 1,
"Zip": "text",
"Town": "text",
"Street": "text",
"HouseNumber": "text",
"HouseNumberAddition": "text",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"StreetComplete": "text",
"HouseNumberComplete": "text",
"MainAddress": true,
"AddressType": {
"Id": 1,
"Name": "text"
},
"Country": {
"Id": 1,
"Name": "text",
"Code": "text"
}
},
"DefaultBankaccount": {
"Id": 1,
"Iban": "text",
"Bic": "text",
"AccountHolder": "text",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"BankAccountType": {
"Id": 1,
"Code": "text"
},
"BankAccountId": 1,
"BankAccountUsageType": {
"Id": 1,
"Code": "text"
}
},
"SelectedIndividualManagement": [
{
"Id": 1,
"IdNum": "text"
}
],
"TaxAuthorityExemptionOrders": [
{
"Id": 1,
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"GlobalExemption": true,
"SecurityNumber": "text"
}
]
}
]Version 1.2
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
companyCodeIdinteger · int32Optional
managementIdinteger · int32Optional
creditorIdinteger · int32Optional
creditorNumberstringOptional
personIdinteger · int32Optional
includeMainAddressbooleanOptionalDefault:
falseincludeMainCommunicationbooleanOptionalDefault:
falseincludeMainBankaccountbooleanOptionalDefault:
falseincludePersonAddressesbooleanOptionalDefault:
falseincludePersonCommunicationsbooleanOptionalDefault:
falseincludePersonBankAccountsbooleanOptionalDefault:
falseincludeTaxAuthorityExemptionOrderbooleanOptionalDefault:
falseincludeIndividualSelectedManagementbooleanOptionalDefault:
falseshowNullValuesbooleanOptionalDefault:
falseAntworten
200
OK
Idinteger · int32Optional
CreditorNumberstring · nullableOptional
CashDiscountPercent1number · decimal · nullableOptional
CashDiscountPercent2number · decimal · nullableOptional
CashDiscountPercent3number · decimal · nullableOptional
MaturityDefaultinteger · int32 · nullableOptional
MaturityIn1Dayinteger · int32 · nullableOptional
MaturityIn2Dayinteger · int32 · nullableOptional
MaturityIn3Dayinteger · int32 · nullableOptional
IsVariousCreditorbooleanOptional
AllocateOpenItemsAutomaticallybooleanOptional
AvailableForAllManagementsbooleanOptional
LockedbooleanOptional
LockedCommissioningbooleanOptional
ExemptionCertificateUnnecessarybooleanOptional
Descriptionstring · nullableOptional
400
Bad Request
401
Unauthorized
get/openwowi/v1.2/AccountancyMasterData/Creditors
GET /openwowi/v1.2/AccountancyMasterData/Creditors HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"Id": 1,
"CreditorNumber": "text",
"CashDiscountPercent1": 1,
"CashDiscountPercent2": 1,
"CashDiscountPercent3": 1,
"MaturityDefault": 1,
"MaturityIn1Day": 1,
"MaturityIn2Day": 1,
"MaturityIn3Day": 1,
"IsVariousCreditor": true,
"AllocateOpenItemsAutomatically": true,
"AvailableForAllManagements": true,
"Locked": true,
"LockedCommissioning": true,
"ExemptionCertificateUnnecessary": true,
"Description": "text",
"Person": {
"Id": 1,
"IdNum": "text",
"Shortname": "text",
"Name": "text",
"NodeId": 1,
"TaxNumber": "text",
"TaxIdentificationNumber": "text",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"IsNaturalPerson": true,
"NaturalPerson": {
"Title": "text",
"FirstName": "text",
"LastName": "text",
"BirthName": "text",
"CareOf": "text",
"BirthDate": "2026-10-15",
"DeathDate": "2026-01-01T00:00:00.000Z",
"Gender": {
"Id": 1,
"Name": "text"
},
"MaritalType": {
"Id": 1,
"Name": "text"
},
"Nationality": {
"Id": 1,
"Name": "text",
"Code": "text"
},
"PersonInCare": {
"Id": 1,
"IdNum": "text"
},
"ContactFor": [
{
"Id": 1,
"IdNum": "text",
"LongName1": "text",
"LongName2": "text"
}
]
},
"LegalPerson": {
"LongName1": "text",
"LongName2": "text",
"VatId": "text",
"CommercialRegisterNumber": "text",
"CommercialRegisterTown": "text",
"ContractPersons": [
{
"Id": 1,
"IdNum": "text",
"FirstName": "text",
"LastName": "text"
}
]
},
"Addresses": [
{
"Id": 1,
"Zip": "text",
"Town": "text",
"Street": "text",
"HouseNumber": "text",
"HouseNumberAddition": "text",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"StreetComplete": "text",
"HouseNumberComplete": "text",
"MainAddress": true,
"AddressType": {
"Id": 1,
"Name": "text"
},
"Country": {
"Id": 1,
"Name": "text",
"Code": "text"
}
}
],
"Communications": [
{
"Id": 1,
"RelatedAddressId": 1,
"Content": "text",
"Explanation": "text",
"RelatedAddress": "text",
"CommunicationType": {
"Id": 1,
"Name": "text"
},
"IsStandard": true
}
],
"BankAccounts": [
{
"Id": 1,
"Iban": "text",
"Bic": "text",
"AccountHolder": "text",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"BankAccountType": {
"Id": 1,
"Code": "text"
},
"BankAccountId": 1,
"BankAccountUsageType": {
"Id": 1,
"Code": "text"
}
}
],
"FirstEmailCommunication": {
"Id": 1,
"RelatedAddressId": 1,
"Content": "text",
"Explanation": "text",
"RelatedAddress": "text",
"CommunicationType": {
"Id": 1,
"Name": "text"
},
"IsStandard": true
},
"FirstLandlinePhoneCommunication": {
"Id": 1,
"RelatedAddressId": 1,
"Content": "text",
"Explanation": "text",
"RelatedAddress": "text",
"CommunicationType": {
"Id": 1,
"Name": "text"
},
"IsStandard": true
},
"FirstMobilePhoneCommunication": {
"Id": 1,
"RelatedAddressId": 1,
"Content": "text",
"Explanation": "text",
"RelatedAddress": "text",
"CommunicationType": {
"Id": 1,
"Name": "text"
},
"IsStandard": true
}
},
"DefaultSalesTax": {
"Id": 1,
"Code": "text"
},
"DefaultAddress": {
"Id": 1,
"Zip": "text",
"Town": "text",
"Street": "text",
"HouseNumber": "text",
"HouseNumberAddition": "text",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"StreetComplete": "text",
"HouseNumberComplete": "text",
"MainAddress": true,
"AddressType": {
"Id": 1,
"Name": "text"
},
"Country": {
"Id": 1,
"Name": "text",
"Code": "text"
}
},
"DefaultBankaccount": {
"Id": 1,
"Iban": "text",
"Bic": "text",
"AccountHolder": "text",
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"BankAccountType": {
"Id": 1,
"Code": "text"
},
"BankAccountId": 1,
"BankAccountUsageType": {
"Id": 1,
"Code": "text"
}
},
"SelectedIndividualManagement": [
{
"Id": 1,
"IdNum": "text"
}
],
"TaxAuthorityExemptionOrders": [
{
"Id": 1,
"ValidFrom": "2026-10-15",
"ValidTo": "2026-10-15",
"GlobalExemption": true,
"SecurityNumber": "text"
}
]
}
]Enumeratoren für Personendaten finden Sie unter "Personen lesen".
Zuletzt aktualisiert
